summaryrefslogtreecommitdiff
path: root/dev-libs/libnl/libnl-99999999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/libnl/libnl-99999999.ebuild')
-rw-r--r--dev-libs/libnl/libnl-99999999.ebuild24
1 files changed, 10 insertions, 14 deletions
diff --git a/dev-libs/libnl/libnl-99999999.ebuild b/dev-libs/libnl/libnl-99999999.ebuild
index e32ab2f6568b..a8d597402f52 100644
--- a/dev-libs/libnl/libnl-99999999.ebuild
+++ b/dev-libs/libnl/libnl-99999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -10,29 +10,24 @@ inherit autotools distutils-r1 git-r3 multilib-minimal
DESCRIPTION="Libraries providing APIs to netlink protocol based Linux kernel interfaces"
HOMEPAGE="https://www.infradead.org/~tgr/libnl/ https://github.com/thom311/libnl"
EGIT_REPO_URI="https://github.com/thom311/libnl"
+
LICENSE="LGPL-2.1 utils? ( GPL-2 )"
SLOT="3"
KEYWORDS=""
IUSE="+debug static-libs python +threads utils"
-RDEPEND="
- python? ( ${PYTHON_DEPS} )
-"
-DEPEND="
- ${RDEPEND}
-"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
BDEPEND="
${RDEPEND}
sys-devel/bison
sys-devel/flex
python? ( dev-lang/swig )
"
-REQUIRED_USE="
- python? ( ${PYTHON_REQUIRED_USE} )
-"
-DOCS=(
- ChangeLog
-)
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DOCS=( ChangeLog )
+
MULTILIB_WRAPPED_HEADERS=(
# we do not install CLI stuff for non-native
/usr/include/libnl3/netlink/cli/addr.h
@@ -48,6 +43,7 @@ MULTILIB_WRAPPED_HEADERS=(
/usr/include/libnl3/netlink/cli/tc.h
/usr/include/libnl3/netlink/cli/utils.h
)
+
PATCHES=(
"${FILESDIR}"/${PN}-99999999-2to3.patch
)
@@ -107,5 +103,5 @@ multilib_src_install() {
multilib_src_install_all() {
einstalldocs
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}